Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.useragent.client
Class UserAgentAsserter.UserAgentAssertionError

    java.lang.Object
      java.lang.Throwable
          java.lang.Error
              java.lang.AssertionError
                  com.google.gwt.useragent.client.UserAgentAsserter.UserAgentAssertionError

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  UserAgentAsserter

    public static class UserAgentAsserter.UserAgentAssertionError

extends java.lang.AssertionError

An error object that indicates that the user agent detected at runtime did not match the user agent that the module expected to find.

See Also:
  Serialized Form

Constructor Summary
`UserAgentAsserter.UserAgentAssertionError()` Default constructor for serialization.
`UserAgentAsserter.UserAgentAssertionError(java.lang.String compileTimeValue, java.lang.String runtimeValue)` Creates an error with the given expected and actual user.agent value.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UserAgentAsserter.UserAgentAssertionError

    public UserAgentAsserter.UserAgentAssertionError()

  Default constructor for serialization.

### UserAgentAsserter.UserAgentAssertionError

    public UserAgentAsserter.UserAgentAssertionError(java.lang.String compileTimeValue,
                                                     java.lang.String runtimeValue)

  Creates an error with the given expected and actual user.agent value.

  Parameters:
    `compileTimeValue` - the compile time user.agent value, either in this permutation or soft permutation
    `runtimeValue` - the detected user.agent value after the module started

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD